package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.admin.respDto.AdminCompanyWechatRespPageBean;
import com.gree.mall.manager.plus.entity.AdminCompanyWechat;
import com.gree.mall.manager.plus.entity.AdminUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AdminMapper {


    /**
     * 商户列表
     */
    @SqlParser(filter = true)
    public IPage<AdminUser> mchList(IPage page,
                                   @Param("userName") String userName,
                                   @Param("nickName") String nickName,
                                   @Param("linkPhone") String linkPhone,
                                   @Param("email") String email,
                                   @Param("status") Boolean status);


    @SqlParser(filter = true)
    public List<AdminCompanyWechat> queryAdminCompanyWechat(@Param("adminUserId") String adminUserId);


    /**
     * 用户列表
     */
    Page<AdminUser> getAdminUser(IPage page,
                                  @Param("roleId") String roleId, @Param("status")Boolean status,
                                  @Param("userName")String userName, @Param("companyWechatIds")List<String> companyWechatIds);


    /**
     * 商户列表2
     */
    @SqlParser(filter = true)
    IPage<AdminCompanyWechatRespPageBean> pageCompanyWechat(IPage page,
                                                         @Param("userName") String userName,
                                                         @Param("nickName") String nickName,
                                                         @Param("linkPhone") String linkPhone,
                                                         @Param("email") String email,
                                                         @Param("status") Boolean status);

}
